Bug 523166 - [ml_IN] Wrong rendering when 0D34 combined with 0D4D and 0D35
Summary: [ml_IN] Wrong rendering when 0D34 combined with 0D4D and 0D35
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-malayalam-fonts
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 09:48 UTC by Ani Peter
Modified: 2016-08-01 01:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 06:30:20 UTC
Type: ---


Attachments (Terms of Use)
Screenshot for the wrong glyph (1.83 KB, image/png)
2009-09-14 09:48 UTC, Ani Peter
no flags Details
Screenshot for the correct glyph (2.18 KB, image/png)
2009-09-14 09:49 UTC, Ani Peter
no flags Details
ttf file for Lohit-Malayalam handling the required combination (69.25 KB, application/x-font-ttf)
2009-09-16 18:00 UTC, sandeep shedmake
no flags Details

Description Ani Peter 2009-09-14 09:48:26 UTC
Created attachment 360913 [details]
Screenshot for the wrong glyph

Description of problem:

When 0D34 is combined with 0D4D and 0D35, gives a wrong result. ie,
 0D34 + 0D4D + 0D35  =>  ഴ  +  ്  +  വ  = ഴ്വ

Version-Release number of selected component (if applicable):
lohit-malayalam-fonts-2.3.8-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit.
2.Type 0D34, 0D4D and 0D35
     
Actual results:
When the above steps are done, result is wrong. It appears as a wrong glyph. Screenshot for the wrong glyph is attached

Expected results:
When the above steps are done, results must be a combination in the same order of the keys typed. Screenshot for the correct glyph is attached

Comment 1 Ani Peter 2009-09-14 09:49:08 UTC
Created attachment 360914 [details]
Screenshot for the correct glyph

Comment 2 sandeep shedmake 2009-09-16 18:00:31 UTC
Created attachment 361343 [details]
ttf file for Lohit-Malayalam handling the required combination

Please, check for regressions.

Comment 3 Ani Peter 2009-09-18 06:15:41 UTC
Have tested Lohit-Malayalam. 
The combination is working perfect.

 0D34 + 0D4D + 0D35  =>  ഴ  +  ്  +  വ  = ഴ്വ

Thanks Sandeep.

Comment 4 Pravin Satpute 2009-09-21 12:16:06 UTC
build lohit-malayalam-fonts-2_4_4-1_fc12
will be available in wed. rawhide

Comment 5 sandeep shedmake 2009-09-23 06:30:20 UTC
From Comment #4,

Combination:  0D34 + 0D4D + 0D35  =>  ഴ  +  ്  +  വ  = ഴ്വ  

can now be obtained from build lohit-malayalam-fonts-2_4_4-1_fc12 (available in Rawhide).

Thereby, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.